<?php
function dancemaster_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'dance-master'),
		) 
	);

	
	/*=========================================
	Dance Master Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','dance-master'),
			'panel'  		=> 'header_section',
		)
    );


	 // top header Site Title Color
	 $topheadersitetitlecol = esc_html__('#fff', 'dance-master' );
	 $wp_customize->add_setting(
		 'topheader_sitetitlecol',
		 array(
			 'default' => $topheadersitetitlecol,
			 'capability'     	=> 'edit_theme_options',
			 'sanitize_callback' => 'wp_kses_post',
			 'priority'      => 2,
		 )
	 );	
 
	 $wp_customize->add_control( 
		 'topheader_sitetitlecol',
		 array(
			 'label'   		=> __('Site Title Color','dance-master'),
			 'section'		=> 'title_tagline',
			 'type' 			=> 'color',
			 'transport'         => $selective_refresh,
		 )  
	 );

	 // top header Tagline Color
	$topheadertaglinecol = esc_html__('#fff', 'dance-master' );
	$wp_customize->add_setting(
    	'topheader_taglinecol',
    	array(
			'default' => $topheadertaglinecol,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'topheader_taglinecol',
		array(
		    'label'   		=> __('Tagline Color','dance-master'),
		    'section'		=> 'title_tagline',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	
 

	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','dance-master'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'dancemaster_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','dance-master'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '2',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'dancemaster_sanitize_checkbox',
			'priority' => 2,
		) 
	);

	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'dance-master' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);		

	


	/*=========================================
	Dance Master header
	=========================================*/
	$wp_customize->add_section(
        'top_header',
        array(
        	'priority'      => 5,
            'title' 		=> __('Header','dance-master'),
			'panel'  		=> 'header_section',
		)
    );	

	
	// topheader Phone Number
	$topheaderphn = esc_html__('+(012)1234 5678', 'dance-master' );
	$wp_customize->add_setting(
    	'topheader_phn',
    	array(
			'default' => $topheaderphn,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phn',
		array(
		    'label'   		=> __('Phone Number','dance-master'),
		    'section'		=> 'top_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		


	// topheader phone number icon
	$topheaderphnicon = esc_html__('fa fa-phone', 'dance-master' );
	$wp_customize->add_setting(
    	'topheader_phnicon',
    	array(
			'default' => $topheaderphnicon,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'topheader_phnicon',
		array(
		    'label'   		=> __('Phone Number Icon','dance-master'),
		    'section'		=> 'top_header',
			'type' 			=> 'icon',
			'transport'         => $selective_refresh,
		)  
	);	


}
add_action( 'customize_register', 'dancemaster_header_settings' );





